View Issue Details

IDProjectCategoryView StatusLast Update
0015294ScribusUsabilitypublic2021-02-09 04:21
ReporterPeterBenedek Assigned Tojghali  
PrioritynoneSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSLinux MintOS Version18 (64bit)
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0015294: If you change many times the color in "Insert Barcode" window, the window grows
DescriptionIf you change many times the color in "Insert Barcode" window, the window is grow

1. Open new document
2. Click "InsertBarcode" tool in Tool
3. Choose: Barcode family: Twosdimensional symbols -- Barcode: QR code (or anything)
4. Click: Lines, Background or Text buttons
5. Click the OK in Colours and Fill window

Repeat it many times 4. and 5.
TagsNo tags attached.
PatchNo

Activities

PeterBenedek

2018-04-30 18:36

developer  

BarcodeWindowGrow.gif (967,679 bytes)
BarcodeWindowGrow.gif (967,679 bytes)
after.jpg (31,274 bytes)
after.jpg (31,274 bytes)
before.jpg (30,174 bytes)
before.jpg (30,174 bytes)

bubu

2021-02-07 21:20

reporter   ~0048813

With old layout I can reproduce the issue, but with new layout (0016454) I can reproduce only 1px growing altogether. But yes, that 1px increase can be prevented. I attached a patch, which fixes the issue.

Please, review the patch. Thanks.

0001-Fix-size-for-color-indicators-in-Barcode-Generator-d.patch (1,773 bytes)
From d3223f3205640effded9952378765f9df6aa8d11 Mon Sep 17 00:00:00 2001
Message-Id: <d3223f3205640effded9952378765f9df6aa8d11.1612732424.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Sun, 7 Feb 2021 22:13:37 +0100
Subject: [PATCH] Fix size for color indicators in Barcode Generator dialog

---
 .../barcodegenerator/barcodegenerator.ui       | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/scribus/plugins/barcodegenerator/barcodegenerator.ui b/scribus/plugins/barcodegenerator/barcodegenerator.ui
index da590ab13..63b5fdfd7 100644
--- a/scribus/plugins/barcodegenerator/barcodegenerator.ui
+++ b/scribus/plugins/barcodegenerator/barcodegenerator.ui
@@ -45,6 +45,12 @@
           <height>25</height>
          </size>
         </property>
+        <property name="maximumSize">
+         <size>
+          <width>16777215</width>
+          <height>25</height>
+         </size>
+        </property>
         <property name="frameShape">
          <enum>QFrame::Box</enum>
         </property>
@@ -64,6 +70,12 @@
           <height>25</height>
          </size>
         </property>
+        <property name="maximumSize">
+         <size>
+          <width>16777215</width>
+          <height>25</height>
+         </size>
+        </property>
         <property name="frameShape">
          <enum>QFrame::Box</enum>
         </property>
@@ -96,6 +108,12 @@
           <height>25</height>
          </size>
         </property>
+        <property name="maximumSize">
+         <size>
+          <width>16777215</width>
+          <height>25</height>
+         </size>
+        </property>
         <property name="frameShape">
          <enum>QFrame::Box</enum>
         </property>
-- 
2.27.0

PeterBenedek

2021-02-09 04:20

developer   ~0048818

Tested in 1.5.7svn. Working perfectly.

Thanks bubu.

Issue History

Date Modified Username Field Change
2018-04-30 18:36 PeterBenedek New Issue
2018-04-30 18:36 PeterBenedek File Added: BarcodeWindowGrow.gif
2018-04-30 18:36 PeterBenedek File Added: after.jpg
2018-04-30 18:36 PeterBenedek File Added: before.jpg
2021-02-07 21:20 bubu File Added: 0001-Fix-size-for-color-indicators-in-Barcode-Generator-d.patch
2021-02-07 21:20 bubu File Added: barcode_generator_color_indicator.gif
2021-02-07 21:20 bubu Note Added: 0048813
2021-02-07 23:04 jghali Summary If you change many times the color in "Insert Barcode" window, the window is grow => If you change many times the color in "Insert Barcode" window, the window grows
2021-02-07 23:05 jghali Assigned To => jghali
2021-02-07 23:05 jghali Status new => resolved
2021-02-07 23:05 jghali Resolution open => fixed
2021-02-07 23:05 jghali Fixed in Version => 1.5.7.svn
2021-02-09 04:20 PeterBenedek Note Added: 0048818
2021-02-09 04:21 PeterBenedek Status resolved => closed